From 3ad192e76bb2ccc23b0221e9694630b3ec77921f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 15 Oct 2024 08:56:16 +0000
Subject: [PATCH] python3-sphinx: upgrade 8.0.2 -> 8.1.3

---
 ...phinx_8.0.2.bb => python3-sphinx_8.1.3.bb} | 57 ++++++++++++++++++-
 1 file changed, 55 insertions(+), 2 deletions(-)
 rename meta/recipes-devtools/python/{python3-sphinx_8.0.2.bb => python3-sphinx_8.1.3.bb} (26%)

diff --git a/meta/recipes-devtools/python/python3-sphinx_8.0.2.bb b/meta/recipes-devtools/python/python3-sphinx_8.1.3.bb
similarity index 26%
rename from meta/recipes-devtools/python/python3-sphinx_8.0.2.bb
rename to meta/recipes-devtools/python/python3-sphinx_8.1.3.bb
index 94ea56c4fd..eab036e9ba 100644
--- a/meta/recipes-devtools/python/python3-sphinx_8.0.2.bb
+++ b/meta/recipes-devtools/python/python3-sphinx_8.1.3.bb
@@ -1,10 +1,63 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE.rst
+# +++ LICENSE.rst
+# @@ -29,39 +29,3 @@
+#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# -
+# -
+# -Licenses for incorporated software
+# -==================================
+# -
+# -The included implementation of NumpyDocstring._parse_numpydoc_see_also_section
+# -was derived from code under the following license:
+# -
+# --------------------------------------------------------------------------------
+# -
+# -Copyright (C) 2008 Stefan van der Walt <stefan@mentat.za.net>, Pauli Virtanen <pav@iki.fi>
+# -
+# -Redistribution and use in source and binary forms, with or without
+# -modification, are permitted provided that the following conditions are
+# -met:
+# -
+# - 1. Redistributions of source code must retain the above copyright
+# -    notice, this list of conditions and the following disclaimer.
+# - 2. Redistributions in binary form must reproduce the above copyright
+# -    notice, this list of conditions and the following disclaimer in
+# -    the documentation and/or other materials provided with the
+# -    distribution.
+# -
+# -THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# -IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# -WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# -DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
+# -INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# -(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+# -SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# -HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+# -STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
+# -IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# -POSSIBILITY OF SUCH DAMAGE.
+# -
+# --------------------------------------------------------------------------------
+# 
+#
+
 SUMMARY = "Python documentation generator"
 HOMEPAGE = "http://sphinx-doc.org/"
 SECTION = "devel/python"
 LICENSE = "BSD-2-Clause & MIT"
-LIC_FILES_CHKSUM = "file://LICENSE.rst;md5=b6c681698874edd2eb9eaff7cc9de642"
+LIC_FILES_CHKSUM = "file://LICENSE.rst;md5=4ab44940eeb9c0ec044da326d904a683"
 
-SRC_URI[sha256sum] = "0cce1ddcc4fd3532cf1dd283bc7d886758362c5c1de6598696579ce96d8ffa5b"
+SRC_URI[sha256sum] = "43c1911eecb0d3e161ad78611bc905d1ad0e523e4ddc202a58a821773dc4c927"
 
 inherit python_flit_core pypi
 UPSTREAM_CHECK_REGEX = "/Sphinx/(?P<pver>(\d+[\.\-_]*)+)/"
-- 
2.44.1

